<template>
  <div class="wrapper">
    <div class="shop-card" @click="goToThisShopDetails">
      <img :src="shop.shop_img" />
      <div class="descriptions">
        <h1>{{ shop.shop_name }}</h1>
        <p>{{ shop.shop_zone }}</p>
        <p>{{ shop.shop_category }}</p>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "ShopBox",
  props: {
    shop: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      searchedShopId: null
    };
  },

  methods: {
    goToThisShopDetails() {
      this.searchedShopId = this.shop.shop_id;
      this.$emit("go-to-this-shop-details", this.searchedShopId);
    }
  }
};
</script>
<style scoped>
body {
  background-color: #3d3d3d;
  padding: 0px;
  margin: 0px;
  width: 100%;
  height: 100vh;
  font-family: "Lato";
}
.wrapper {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  max-width: 650px;
  height: auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.shop-card {
  flex: 1;
  flex-basis: 300px;
  flex-grow: 0;
  height: 440px;
  background: #fff;
  border: 2px solid #fff;
  box-shadow: 0px 4px 7px rgba(0, 0, 0, 0.5);
  cursor: pointer;
  transition: all 0.5s cubic-bezier(0.8, 0.5, 0.2, 1.4);
  overflow: hidden;
  position: relative;
}
.shop-card img {
  width: 100%;
  height: 100%;
  transition: all 0.5s cubic-bezier(0.8, 0.5, 0.2, 1.4);
}
.descriptions {
  position: absolute;
  top: 0px;
  left: 0px;
  background-color: rgba(255, 255, 255, 0.7);
  width: 100%;
  height: 100%;
  transition: all 0.7s ease-in-out;
  padding: 20px;
  box-sizing: border-box;
  clip-path: circle(0% at 100% 100%);
}
.shop-card:hover .descriptions {
  left: 0px;
  transition: all 0.7s ease-in-out;
  clip-path: circle(75%);
}
.shop-card:hover {
  transition: all 0.5s cubic-bezier(0.8, 0.5, 0.2, 1.4);
  box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.3);
  transform: scale(0.97);
}
.shop-card:hover img {
  transition: all 0.5s cubic-bezier(0.8, 0.5, 0.2, 1.4);
  transform: scale(1.6) rotate(20deg);
  filter: blur(3px);
}
.shop-card h1 {
  font-size: 20px;

  text-transform: lowercase;
}
.shop-card h1:first-letter {
  font-size: 150px;
  font-family: "Dancing Script", cursive;
  text-transform: uppercase;
}
.shop-card p {
  line-height: 24px;
  height: 10%;
}
.shop-card button {
  width: fit-content;
  height: 40px;
  cursor: pointer;
  border-style: none;
  background-color: hsl(175, 85%, 50%);
  color: #fff;
  font-size: 15px;
  outline: none;
  box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.4);
  transition: all 0.5s ease-in-out;
}
.shop-card button:hover {
  transform: scale(0.95) translateX(-5px);
  transition: all 0.5s ease-in-out;
}
footer {
  background-color: #222;
  color: #fff;
  font-size: 14px;
  bottom: 0;
  position: fixed;
  left: 0;
  right: 0;
  text-align: center;
  z-index: 999;
}
.youtubeBtn {
  position: fixed;
  left: 50%;
  transform: translatex(-50%);
  bottom: 45px;
  cursor: pointer;
  transition: all 0.3s;
  vertical-align: middle;
  text-align: center;
  display: inline-block;
}
.youtubeBtn i {
  font-size: 20px;
  float: left;
}
.youtubeBtn a {
  color: #ff0000;
  text-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5);
  animation: youtubeAnim 1000ms linear infinite;
  float: right;
}
.youtubeBtn a:hover {
  color: #c9110f;
  transition: all 0.3s ease-in-out;
  text-shadow: none;
}
.youtubeBtn i:active {
  transform: scale(0.9);
  transition: all 0.3s ease-in-out;
}
.youtubeBtn span {
  font-family: "Lato";
  font-weight: bold;
  color: #fff;
  display: block;
  font-size: 12px;
  float: right;
  line-height: 20px;
  padding-left: 5px;
}
@keyframes youtubeAnim {
  0%,
  100% {
    color: #c9110f;
  }
  50% {
    color: #ff0000;
  }
}
</style>
